package com.gree.mall.contest.bean.activity;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class CustomSecSpecBean {

    @Schema(description ="秒杀商品规格id")
    private String secKillSpecId;

    @Schema(description ="商品名称")
    private String goodsName;

    @Schema(description ="秒杀图片链接")
    private String imgUrl;

    @Schema(description ="划线价")
    private String orgPrice;

    @Schema(description ="已售数量")
    private Long soldNum;

    @Schema(description ="秒杀价格")
    private BigDecimal price;

    @Schema(description ="分账金额")
    private BigDecimal amount;

    @Schema(description ="秒杀开始时间")
    private Date startTime;

    @Schema(description ="秒杀结束时间")
    private Date endTime;

    @Schema(description  = "分销比例")
    private Double sharePercent;

    @Schema(description ="秒杀状态,0全部,1未开始,2进行中,3已结束,4已关闭")
    private Integer status;


}
