package com.gree.mall.contest.commonmapper;


import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.gree.mall.contest.plus.entity.CouponTag;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

@Mapper
public interface WxCustomerMapper {

    /**
     * 查询指定企业下 与 指定标签绑定的 用户id
     */
    @InterceptorIgnore(tenantLine = "true")
    List<String> queryTagUserIdList(@Param("companyWechatId")String companyWechatId, @Param("couponTags")List<CouponTag> couponTags);


}
